## systemd 259~rc1

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'set the extended version string (defaults to project version)')
option('shared-lib-tag', type : 'string',
       description : 'override the private shared library version tag (defaults to project version)')
option('vcs-tag', type : 'boolean', value : true,
       description : 'append current git commit to version output when git information is available')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'sbin is not a symlink to bin')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udevd and its helpers to libsystemd-shared.so')
option('link-executor-shared', type : 'boolean',
       description : 'link systemd-executor to libsystemd-shared.so and libsystemd-core.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('link-journalctl-shared', type: 'boolean',
       description : 'link journalctl against libsystemd-shared.so')
option('link-boot-shared', type: 'boolean',
       description : 'link bootctl and systemd-bless-boot against libsystemd-shared.so')
option('link-portabled-shared', type: 'boolean',
       description : 'link systemd-portabled and its helpers to libsystemd-shared.so')
option('first-boot-full-preset', type: 'boolean', value: false,
       description : 'during first boot, do full preset-all (default will be changed to true later)')

option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libsystemd')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : false,
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('rc-local', type : 'string', value : '/etc/rc.local',
       description : 'path to SysV rc.local script')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : false,
       description : 'look at uid boundaries in /etc/login.defs for compatibility')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('swapon-path', type : 'string', description : 'path to swapon')
option('swapoff-path', type : 'string', description : 'path to swapoff')
option('agetty-path', type : 'string', description : 'path to agetty')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable EFI support')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-repart tool')
option('sysupdate', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-sysupdate tool')
option('sysupdated', type: 'combo', value : 'auto',
       choices : ['auto', 'enabled', 'disabled'],
       description : 'install the systemd-sysupdated service')

option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('mountfsd', type : 'boolean',
       description : 'install the systemd-mountfsd stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('default-network', type : 'boolean', value : false,
       description : 'install default .network files')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('journal-storage-default', type : 'combo', choices : ['persistent', 'auto', 'volatile', 'none'],
       description : 'default storage mode for journald (main namespace)')
option('remote', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nsresourced', type : 'boolean',
       description : 'install the systemd-nsresourced stack')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('vmspawn', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-vmspawn tool')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('storagetm', type : 'boolean',
       description : 'support for Storage Target Mode')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('nspawn', type : 'feature',
       description : 'build and install systemd-nspawn')
option('man', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install man pages')
option('html', type : 'feature', deprecated : { 'true' : 'enabled', 'false' : 'disabled' },
       value : 'disabled',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('dbus-interfaces-dir', type : 'string',
       description : 'export D-Bus introspection XML as standalone files')
option('default-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for system unit start/stop')
option('default-user-timeout-sec', type : 'integer', value : 90,
       description : 'default timeout for user unit start/stop')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')

=== .github/workflows/requirements.txt ===
meson==1.9.1 \
    --hash=sha256:f824ab770c041a202f532f69e114c971918ed2daff7ea56583d80642564598d0
ninja==1.11.1.4 \
    --hash=sha256:055f386fb550c2c9d6157e45e20a84d29c47968876b9c5794ae2aec46f952306 \
    --hash=sha256:096487995473320de7f65d622c3f1d16c3ad174797602218ca8c967f51ec38a0 \
    --hash=sha256:2ab67a41c90bea5ec4b795bab084bc0b3b3bb69d3cd21ca0294fc0fc15a111eb \
    --hash=sha256:4617b3c12ff64b611a7d93fd9e378275512bb36eff8babff7c83f5116b4f8d66 \
    --hash=sha256:5713cf50c5be50084a8693308a63ecf9e55c3132a78a41ab1363a28b6caaaee1 \
    --hash=sha256:6aa39f6e894e0452e5b297327db00019383ae55d5d9c57c73b04f13bf79d438a \
    --hash=sha256:9c29bb66d2aa46a2409ab369ea804c730faec7652e8c22c1e428cc09216543e5 \
    --hash=sha256:b33923c8da88e8da20b6053e38deb433f53656441614207e01d283ad02c5e8e7 \
    --hash=sha256:c3b96bd875f3ef1db782470e9e41d7508905a0986571f219d20ffed238befa15 \
    --hash=sha256:cede0af00b58e27b31f2482ba83292a8e9171cdb9acc2c867a3b6e40b3353e43 \
    --hash=sha256:cf4453679d15babc04ba023d68d091bb613091b67101c88f85d2171c6621c6eb \
    --hash=sha256:cf554e73f72c04deb04d0cf51f5fdb1903d9c9ca3d2344249c8ce3bd616ebc02 \
    --hash=sha256:cfdd09776436a1ff3c4a2558d3fc50a689fb9d7f1bdbc3e6f7b8c2991341ddb3 \
    --hash=sha256:d3090d4488fadf6047d0d7a1db0c9643a8d391f0d94729554dbb89b5bdc769d7 \
    --hash=sha256:d4a6f159b08b0ac4aca5ee1572e3e402f969139e71d85d37c0e2872129098749 \
    --hash=sha256:ecce44a00325a93631792974659cf253a815cc6da4ec96f89742925dfc295a0d \
    --hash=sha256:f6186d7607bb090c3be1e10c8a56b690be238f953616626f5032238c66e56867

=== debian/changelog ===
systemd (259~rc1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130132). Remaining changes:
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/libnss-systemd.*:
      + debian/libnss-systemd.nss: install after 'compat' too (LP #2125403)
      + debian/libnss-systemd.preinst: force nsswitch.conf update
        Drop systemd instances in nsswitch.conf, and force postinst to
        re-generate the file (LP #2121017)
      + debian/linbnss-systemd.nss: Install systemd service after files.
        As suggested by upstream the systemd NSS service should come just after
        files
    - debian/tests:
      + d/t/boot-and-services: use coreutils tunable in apparmor test (LP #2125614)
      + d/t/upstream: use GNU cp in test setup (LP #2122363)
    - debian/patches:
      + switch-root: use MS_MOVE for /run when switchig from initrd
      + test-network: add handling for Ubuntu FAN patches (LP #2104943)
      + test: ignore coredumps for gnusleep in addition to sleep (LP #2116459)
      + test: follow /usr/bin/sleep symlink when checking coredumps (LP #2116465)
      + test: skip TEST-50-DISSECT.dissect (LP #2116460)
  * Dropped changes, included in Debian:
    - d/rules: enable 10-systemd-logind-root-ignore-inhibitors.rules.example
      polkit rule by default (LP #2092438)
      [ was: "d/extra/polkit-1: let root ignore inhibitors on reboot etc" ]
    - Fix d/extra/initramfs-tools/hooks/udev, so that udev rules that are
      specific to s390x ccw devices are only prevented from being copied if
      zdev_early=0 is set, but copy rules in case of zdev_early=1 or if
      zdev_early is not specified at all. (LP #2102236)
    - debian/tests:
      + d/t/boot-and-services: tweak test_rsyslog regexes
      + debian/tests/boot-and-services: skip apparmor tests on armhf
  * Dropped changes, included upstream:
    - basic: validate timezones in get_timezones() (LP #2125405)
  * New changes:
    - d/systemd{,-cryptsetup}.install: more i386 exclusion
    - d/rules: set SYSTEMD_IN_CHROOT=1 for build tests

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 18 Nov 2025 17:29:48 -0500

systemd (259~rc1-1) unstable; urgency=medium

  [ Nick Rosbrook ]
  * kernel-install: skip 55-initrd.install when an initrd generator is
    configured. This provides a way to avoid conflicts with initrd
    generators using kernel-install like dracut. E.g., dracut can now:  1.
    Ship /usr/lib/kernel/install.conf.d/50-dracut.conf with at least
    initrd_generator=dracut  2. Skip its own scripts unless
    $KERNEL_INSTALL_INITRD_GENERATOR=dracut (Closes: #1117563)
  * d/t/boot-and-services: tweak test_rsyslog regex
  * d/t/boot-and-services: run transient unit to check syslog messages
  * d/t/boot-and-services: skip apparmor test on armhf
  * d/rules: enable 10-systemd-logind-root-ignore-inhibitors.rules.example
    on Ubuntu
  * kernel-install: skip 55-initrd.install when an initrd is already
    staged. Unfortunately, dracut upstream does not think it makes sense
    to ship an install.conf.d drop-in to set initrd_generator=dracut, so
    we need to cope with situations where an initrd is already present in
    the staging area. See https://github.com/dracut-ng/dracut-ng/pull/1812
    (Closes: #1117563)

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/259_rc1' Update to upstream
    version '259~rc1' with Debian dir
    ffbb3991599b616b38161a464c0428f8aec93869
  * Drop patches, all merged upstream
  * Install new files for v259~rc1
  * Update symbols file for v259~rc1

  [ Frank Heimes ]
  * initramfs-tools: only skip chzdev rules if zdev_early=0

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Nov 2025 18:55:33 +0000

systemd (258.1-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130132). Remaining changes:
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - d/rules: enable 10-systemd-logind-root-ignore-inhibitors.rules.example
      polkit rule by default (LP #2092438)
      [ was: "d/extra/polkit-1: let root ignore inhibitors on reboot etc" ]
    - Fix d/extra/initramfs-tools/hooks/udev, so that udev rules that are
      specific to s390x ccw devices are only prevented from being copied if
      zdev_early=0 is set, but copy rules in case of zdev_early=1 or if


=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq (amd64,$(DEB_HOST_ARCH))
export TEMPLATE_EFI_ARCH=x64
else ifeq (arm64,$(DEB_HOST_ARCH))
export TEMPLATE_EFI_ARCH=aa64
endif

# We are building on OBS? Then it's an upstream build, set the profile and
# use the addon for Secure Boot EFI signing
ifneq ("$(wildcard /.build/build.dist)","")
export DEB_BUILD_PROFILES += pkg.systemd.upstream
DH_ADDONS = --with=signobs
endif

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO = \
		-Duser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin \
		-Ddefault-llmnr=no \
		-Ddefault-mdns=no

else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# Fail on missing files and symbol changes on distro builds, but not if we
# build/test upstream master. Also, don't put the debian revision in the version
# tag when we build/test upstream as it doesn't have any meaning in that case
# and it allows using the current date as the debian revision without causing
# unnecessary rebuilds all the time.
ifeq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
    DH_MISSING ?= --fail-missing
    GENSYMBOLS_LEVEL ?= 4
    VERSION_TAG = $(DEB_VERSION)
else
    DH_MISSING ?= --list-missing
    GENSYMBOLS_LEVEL ?= 1
    VERSION_TAG = $(DEB_VERSION_UPSTREAM)
endif

# Make sure that DEB_BUILD_OPTIONS can be used by users to override any options
# we set here (By default DEB_BUILD_MAINT_OPTIONS overrides DEB_BUILD_OPTIONS).
export DEB_BUILD_MAINT_OPTIONS = optimize=+lto hardening=+pie $(DEB_BUILD_OPTIONS)

CONFFLAGS = \
	-Dstatic-libsystemd=true \
	-Dversion-tag="$(VERSION_TAG)" \
	-Dquotaon-path=/usr/sbin/quotaon \
	-Dquotacheck-path=/usr/sbin/quotacheck \
	-Dkmod-path=/usr/bin/kmod \
	-Dkexec-path=/usr/sbin/kexec \
	-Dsulogin-path=/usr/sbin/sulogin \
	-Dmount-path=/usr/bin/mount \
	-Dumount-path=/usr/bin/umount \
	-Dloadkeys-path=/usr/bin/loadkeys \
	-Dsetfont-path=/usr/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/usr/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-dnssec=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dvconsole=false \
	-Dfirstboot=true \
	-Dxkbcommon=disabled \
	-Dwheel-group=false \
	-Doomd=true \
	-Durlify=true \
	-Dgnutls=disabled \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660 \
	-Drepart=enabled \
	-Dfdisk=enabled \
	-Dsysext=true \
	-Dselinux=enabled \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),disabled,enabled) \
	-Ddbus-interfaces-dir=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes) \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=enabled \
	-Dnss-resolve=enabled \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstatus-unit-format-default=combined \
	-Dstandalone-binaries=true \
	-Dutmp=false \
	-Dtty-mode=0600 \
	-Dvmspawn=enabled \
	-Dmode=$(if $(filter pkg.systemd.upstream,$(DEB_BUILD_PROFILES)),developer,release)

ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES))$(filter noinsttest,$(DEB_BUILD_PROFILES)),nochecknoinsttest)
CONFFLAGS += -Dtests=false
else
CONFFLAGS += -Dtests=true
endif

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS += \
	-Daudit=enabled \
	-Dlibcryptsetup=enabled \
	-Dlibcryptsetup-plugins=enabled \
	-Dcoredump=true \
	-Delfutils=enabled \
	-Dapparmor=enabled \
	-Dlibidn2=enabled \
	-Dlibiptc=enabled \
	-Dlibcurl=enabled \
	-Dimportd=enabled \
	-Dmicrohttpd=enabled \
	-Dopenssl=enabled \
	-Dcryptolib=openssl \
	-Ddns-over-tls=openssl \
	-Dlibfido2=enabled \
	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
	-Dp11kit=enabled \
	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
	-Dpwquality=enabled \
	-Dhomed=enabled \
	-Duserdb=true \
	-Dpcre2=enabled \
	-Dukify=enabled \
	-Dbootloader=$(if $(filter amd64 i386 arm64 armhf loong64 riscv64,$(DEB_HOST_ARCH)),enabled,disabled) \
	-Dsysupdate=enabled
else
CONFFLAGS += \
	-Daudit=disabled \
	-Dlibcryptsetup=disabled \
	-Dlibcryptsetup-plugins=disabled \
	-Dcoredump=false \
	-Delfutils=disabled \
	-Dapparmor=disabled \
	-Dlibidn2=disabled \
	-Dlibiptc=disabled \
	-Dlibcurl=disabled \
	-Dimportd=disabled \
	-Dmicrohttpd=disabled \
	-Dopenssl=disabled \
	-Dlibfido2=disabled \
	-Dtpm2=disabled \
	-Dp11kit=disabled \
	-Dqrencode=disabled \
	-Dpwquality=disabled \
	-Dhomed=disabled \
	-Duserdb=false \
	-Dpcre2=disabled \
	-Dukify=disabled \
	-Dbootloader=disabled \
	-Dbpf-framework=disabled \
	-Dsysupdate=disabled
endif

# BPF/BTF are only enabled and usable on a few architectures
ifeq (, $(filter $(DEB_BUILD_PROFILES), stage1 pkg.systemd.nobpf))
ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el s390x))
CONFFLAGS += \
	-Dvmlinux-h=provided \
	-Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/bpf/vmlinux.h \
	-Dbpf-framework=enabled \
	-Dbpf-compiler=clang

ifeq ($(DEB_VENDOR),Ubuntu)
# TODO: drop this and the alternative build dep once support for Noble is dropped
#
# Source: https://git.launchpad.net/ubuntu/+source/xdp-tools/tree/debian/rules
# On Ubuntu, the `bpftool` in path is a shell wrapper pointing at
# the binary corresponding to runtime kernel version.
#
# We do not know the kernel version being used on the system building
# this package, and in sbuild/container environments uname might not
# even match anything available to the build.
# Gladly for the build we only need the tool to generate skeleton code.
#
# If any /usr/lib/linux-tools/*/bpftool exists, locate the most recent
# version and point to that, otherwise `bpftool` from PATH will be
# used.
#
# Newer versions of linux-tools-* ship the binaries in /usr/lib/linux-tools-$(uname -r).
# Check there too.
bpftool_binary := $(shell find /usr/lib/linux-tools/ /usr/lib/linux-tools-* -name 'bpftool' -perm /u=x 2>/dev/null | sort -r | head -n1)
ifneq ($(bpftool_binary),)
export PATH := $(shell dirname $(bpftool_binary)):$(PATH)
endif
endif
endif
endif

ifeq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
CONFFLAGS += -Ddns-servers=''
CONFFLAGS += -Dsbat-distro-url=https://tracker.debian.org/pkg/systemd
CONFFLAGS += -Dsysvinit-path=/etc/init.d
CONFFLAGS += -Dsysvrcnd-path=/etc
else
CONFFLAGS += --buildtype=debugoptimized
CONFFLAGS += -Dsbat-distro-url=https://github.com/systemd/systemd
CONFFLAGS += -Dsbat-distro=upstream
CONFFLAGS += -Dsbat-distro-summary='Upstream build from git'
endif

# Increase the minimum number of sections to keep free in stub PE header in
# order to be able to create an UKI file with many DTBs (each of them is stored
# in a different .dtbauto section)
ifneq (,$(filter $(DEB_TARGET_ARCH), arm64 armhf riscv64))
CONFFLAGS += -Defi-stub-extra-sections=500
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)

execute_before_dh_auto_build:
	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
	@echo 'blhc: ignore-line-regexp: .* -o src/boot/.*'
	@echo 'blhc: ignore-line-regexp: .* Compiling C object fuzz.*'

execute_before_dh_auto_clean:

## systemd 259~rc2

=== debian/changelog ===
systemd (259~rc2-1) unstable; urgency=medium

  * d/t/control: ensure unit-tests autopkgtest pulls in dlopened libraries
    for test
  * Update upstream source from tag 'upstream/259_rc2' Update to upstream
    version '259~rc2' with Debian dir
    cf601b8ede8f71b078792ce228102fe98830a5fc
  * Install new varlinkctl bash completion script

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Nov 2025 12:41:32 +0000

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  systemd-dev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  systemd-resolved,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed, skip-not-installable, skippable

Tests: build-login
Depends: systemd,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd-container,
  systemd-coredump,
  systemd-dev,
  libpam-systemd,
  libdw-dev,
  libelf-dev,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [!s390x !riscv64 !armel !loong64],
  cron,
  network-manager,
  busybox-static,
  sysvinit-utils,
  rsyslog,
  apparmor,
  pkgconf,
  python3,
  python3-pefile,
  dhcpcd-base | dhcpcd5,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  python3-pefile,
  xz-utils,
  libcap2-bin,
  iproute2,
  lz4,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev,
  libfido2-dev,
  libdw-dev,
  libqrencode-dev,
  libpwquality-dev,
  libarchive-dev,
  libgcrypt20-dev,
  libcryptsetup-dev,
  libseccomp-dev,
  libacl1-dev,
  libapparmor-dev,
  libblkid-dev,
  libmount-dev,
  libkmod-dev,
  libselinux1-dev,
  libpam0g-dev,
  libidn2-dev,
  libpcre2-dev,
  libp11-kit-dev,
  tzdata-legacy | tzdata,
  dosfstools,
  bsdutils,
  bsdextrautils,
Restrictions: needs-root, isolation-container, skip-not-installable, skippable

Tests: boot-smoke
Depends: systemd-sysv,
  network-manager,
  gdm3 [!s390x !riscv64 !armel !loong64],
  xserver-xorg-video-dummy,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: build-with-static-libsystemd
Depends: systemd,
  pkgconf,
  build-essential,
  libsystemd-dev,
  libcap-dev,

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  snapd,
  dnsmasq-base,

## systemd 259~rc3

=== debian/changelog ===
systemd (259~rc3-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130132). Remaining changes:
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
    - debian/control:
      + Add Recommends: systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors
    - debian/libnss-systemd.*:
      + debian/libnss-systemd.nss: install after 'compat' too (LP #2125403)
      + debian/libnss-systemd.preinst: force nsswitch.conf update
        Drop systemd instances in nsswitch.conf, and force postinst to
        re-generate the file (LP #2121017)
      + debian/linbnss-systemd.nss: Install systemd service after files.
        As suggested by upstream the systemd NSS service should come just after
        files
    - debian/tests:
      + d/t/boot-and-services: use coreutils tunable in apparmor test (LP #2125614)
      + d/t/upstream: use GNU cp in test setup (LP #2122363)
    - debian/patches:
      + switch-root: use MS_MOVE for /run when switchig from initrd
      + test: skip TEST-50-DISSECT.dissect (LP #2116460)
  * Dropped changes, no longer needed:
    - d/rules: set SYSTEMD_IN_CHROOT=1 for build tests
      [ fixed by https://github.com/systemd/systemd/commit/7d23e27e4c ]
    - test-network: add handling for Ubuntu FAN patches (LP #2104943)
    - test: ignore coredumps for gnusleep in addition to sleep (LP #2116459)
    - test: follow /usr/bin/sleep symlink when checking coredumps (LP #2116465)
    - debian/control: Add Recommends: networkd-dispatcher to systemd package
      (LP: #2132159)
  * New upstream release:
    - Fixes LP: #2133462

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 15 Dec 2025 13:53:39 -0500

systemd (259~rc3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * d/t/control: pull in optional libs for boot-and-services too
  * Update upstream source from tag 'upstream/259_rc3' Update to upstream
    version '259~rc3' with Debian dir
    537fd85ae77caecee4426e24c5b5e59ee5d3ec44
  * Install new udev rule

  [ Helmut Grohne ]
  * Mirror dmi_arches from meson.build into debian/udev.install
  * Update architecture match for 50-pid-max.conf

  [ Nick Rosbrook ]
  * d/extra/dbus-1: rename systemd-localed-read-only.conf (LP: #2133889)
  * d/t/tests-in-lxd: re-construct --pin-packages arguments for
    autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Wed, 10 Dec 2025 17:39:27 +0000

=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>,
           Luca Boccassi <bluca@debian.org>,
           Nick Rosbrook <enr0n@ubuntu.com>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Homepage: https://systemd.io
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               dh-exec,
               dh-package-notes,
               dh-sequence-dlopenlibdeps <!stage1>,
               dh-sequence-installnss,
               dh-sequence-installsysusers,
               pkgconf,
               xsltproc <!nodoc>,
               docbook-xsl <!nodoc>,
               docbook-xml <!nodoc>,
               meson (>= 0.60.0),
               rsync | meson (>= 1.3.0~),
               clang:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               linux-bpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               libbpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               bpftool:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
               linux-tools-generic <pkg.systemd.upstream> | bpftool <pkg.systemd.upstream>,
               gettext,
               gperf,
               libcap-dev,
               libcrypt-dev,
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:2.4) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 1.3.0),
               lz4 <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-openssl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libfdisk-dev (>= 2.33),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 hppa loong64 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               libtss2-dev [!i386] <!stage1>,
               libfido2-dev <!stage1>,
               libp11-kit-dev <!stage1>,
               libssl-dev <!stage1>,
               libqrencode-dev [!i386] <!stage1>,
               libxen-dev [amd64 arm64] <!stage1>,
               libpwquality-dev <!stage1>,
               libarchive-dev <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pefile:native <!stage1 !nocheck> <!stage1 !noinsttest>,
               python3-pyelftools [amd64 i386 arm64 armhf loong64 riscv64] <!stage1>,
               jq [amd64 arm64] <!stage1>,
               python3-pyparsing <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata-legacy <!nocheck> | tzdata (<< 2025a-2) <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,
               fdisk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            linux-sysctl-defaults,
            login,
            systemd-timesyncd | time-daemon,
            systemd-resolved,
            systemd-cryptsetup,
            ${dlopen:Recommends},
Suggests: systemd-container,
          systemd-homed,
          systemd-userdbd,
          systemd-boot,
          systemd-repart,
          libtss2-tcti-device0,
          polkitd,
          ${dlopen:Suggests},
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         mount,
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
           elogind,
           systemctl,
           opensysusers (<< 0.7.3-4.1~),
Breaks: less (<< 563),
        sicherboot (<< 0.1.6),
        dracut-core (<< 102-2~),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Protected: yes
Conflicts: sysvinit-core,
           finit-sysv,
           runit-init,
           file-rc,
           systemd-shim,
           initscripts,
           orphan-sysvinit-scripts,
           sysv-rc,
           insserv,
           startpar,
           bfh-container (<< 20211009-22~),
           molly-guard (<< 0.8.2~),
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: ${misc:Depends},
         systemd (= ${binary:Version}),
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV compatibility symlinks
 This package provides manual pages and compatibility symlinks needed for
 systemd to replace sysvinit.
 .
 Installing systemd-sysv will overwrite /sbin/init with a symlink to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
            ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: systemd (<< 256-2~),
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: time-daemon,
           systemd (<< 256.2-2~),
Replaces: time-daemon
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
         python3-psutil,
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime,
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Recommends: dbus-user-session,
            ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Conflicts: libpam-elogind-compat,
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.0.2 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-resolved (= ${binary:Version}),
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
